Bug 1307856 - photoprint: FTBFS in rawhide
Summary: photoprint: FTBFS in rawhide
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: photoprint
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ralf Corsepius
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F24FTBFS
TreeView+ depends on / blocked
 
Reported: 2016-02-13 22:01 UTC by Fedora Release Engineering
Modified: 2016-03-26 17:56 UTC (History)
2 users (show)

Fixed In Version: photoprint-0.4.2-0.18.pre2.fc24
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-26 17:56:49 UTC


Attachments (Terms of Use)
build.log (162.64 KB, text/plain)
2016-02-13 22:01 UTC, Fedora Release Engineering
no flags Details
root.log (102.95 KB, text/plain)
2016-02-13 22:01 UTC, Fedora Release Engineering
no flags Details
state.log (665 bytes, text/plain)
2016-02-13 22:01 UTC, Fedora Release Engineering
no flags Details
Patch to fix the FTBFS (7.74 MB, patch)
2016-03-15 17:10 UTC, Ralf Corsepius
no flags Details | Diff

Description Fedora Release Engineering 2016-02-13 22:01:02 UTC
Your package photoprint failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=12855106

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

Comment 1 Fedora Release Engineering 2016-02-13 22:01:04 UTC
Created attachment 1125629 [details]
build.log

Comment 2 Fedora Release Engineering 2016-02-13 22:01:05 UTC
Created attachment 1125630 [details]
root.log

Comment 3 Fedora Release Engineering 2016-02-13 22:01:06 UTC
Created attachment 1125631 [details]
state.log

Comment 4 Jan Kurik 2016-02-24 14:59:05 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 5 Ralf Corsepius 2016-03-15 17:10:44 UTC
Created attachment 1136673 [details]
Patch to fix the FTBFS

The trigger of this FTBFS is a clash between c++14's std::tuple and a other type "tuple", due to excessive use of "using namespace std;".

Besides this, this package's rpm.spec doesn't seem to have seen much of attention for several years.

Unless somebody object, I am going to apply the patch in the attachment (against git/master) in near future.

Comment 6 Ralf Corsepius 2016-03-21 05:40:10 UTC
Taking

Comment 7 Fedora Update System 2016-03-21 06:30:24 UTC
photoprint-0.4.2-0.18.pre2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d52a8ee205

Comment 8 Fedora Update System 2016-03-21 22:31:51 UTC
photoprint-0.4.2-0.18.pre2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d52a8ee205

Comment 9 Fedora Update System 2016-03-26 17:56:47 UTC
photoprint-0.4.2-0.18.pre2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.